Cyberduck Mountain Duck CLI

#6587 closed defect (duplicate)

Broken Pipe Error Uploading

Reported by: hype Owned by: dkocher
Priority: high Milestone: 4.5
Component: s3 Version: 4.2.1
Severity: major Keywords:
Cc: Architecture: Intel
Platform: Mac OS X 10.6

Description

While uploading to to my Amazon s3 account I keep getting a broken pipe error. I'm sure my Amazon cloud doesn't have a disk quota. I tried a different client and it's able to upload just fine for all types of files.

I prefer to use cyberduck for this. I can upload a 50mb file no problem but anything higher gives me a broken pipe error.

Attachments (1)

cyberduck log.rtf (8.9 KB) - added by hype on Mar 14, 2012 at 9:37:56 PM.
Log Drawer output

Download all attachments as: .zip

Change History (9)

Changed on Mar 14, 2012 at 9:37:56 PM by hype

Log Drawer output

comment:1 Changed on Mar 15, 2012 at 9:40:08 AM by dkocher

  • Milestone set to 4.3

comment:2 Changed on Mar 15, 2012 at 10:09:29 AM by dkocher

As this issue is only related to multipart uploads we have increased the threshold in r9479 effectively disabling multiparts for files smaller than 5GB.

comment:3 Changed on Apr 3, 2012 at 9:49:45 AM by dkocher

  • Status changed from new to assigned

comment:4 Changed on Apr 8, 2012 at 10:13:58 AM by Mister Paul

I had the same "Broken pipe" problem when uploading files on S3 Plus other alert types "Socked closed" + "Skyped xxxxx bytes instead of yyyyy"

I installed the last snapshot build : I still get a warning message at connexion :

S3 Erreur: S3 Error Message S3 Error Message. Forbidden. Access Denied.

As usual I could get connected whatever button I click on (Cancel or Retry)

For the first time my upload (a 40Mo .mp4 file) could be achieved with Cyberduck... I'll try with other uploads next week or even later (sorry) and I'll tell you if the problem reappears.

Edit : 2 days later I uploaded 2 files (170Mo + 30Mo) : OK   So now the only problem is the warning message at connexion...

Last edited on Apr 10, 2012 at 8:07:06 AM by Mister Paul (previous) (diff)

comment:5 Changed on Sep 26, 2012 at 2:20:17 PM by dkocher

  • Milestone changed from 4.3 to 4.2.2
  • Resolution set to worksforme
  • Status changed from assigned to closed

comment:6 Changed on Jul 15, 2014 at 3:24:35 PM by dkocher

Duplicate for #7621.

comment:7 Changed on Jul 15, 2014 at 4:04:16 PM by dkocher

  • Milestone changed from 4.3 to 4.5
  • Resolution worksforme deleted
  • Status changed from closed to reopened

comment:8 Changed on Jul 15, 2014 at 4:06:16 PM by dkocher

  • Resolution set to duplicate
  • Status changed from reopened to closed
  • Summary changed from Broken Pipe Error Uploading to Amazon to Broken Pipe Error Uploading

Duplicate for #7621. Fix in r14903 with Expect: 100-continue header for PUT requests that resolves broken pipe failures for uploads to buckets where a 307 Temporary Redirect is returned.

Note: See TracTickets for help on using tickets.
swiss made software